import request from '@/assets/js/utils/request'

// 资产处一点击录入专家的时候就生成一个专家id
export function getExpertIdByAdmin() {
  return request({
    url: '/bidprocurement/bid-expert/info/expertInfo/getExpertIdByAdmin',
    method: 'post'
  })
}

// 资产处保存专家
export function assetsExpertAdd(data) {
  return request({
    url: '/bidprocurement/bid-bidEvaluation/evaluation/assetsExpertAdd',
    method: 'post',
    data
  })
}

// 资产处专家列表
export function assetsExpertList(data) {
  return request({
    url: '/bidprocurement/bid-bidEvaluation/evaluation/assetsExpertList',
    method: 'post',
    data
  })
}

// 资产处专家列表
export function assetsExpertDel(id) {
  return request({
    url:
      '/bidprocurement/bid-bidEvaluation/evaluation/assetsExpertDel?id=' + id,
    method: 'post'
  })
}

/* ======================================专家抽取================================================= */
// 获取专家库抽取专家列表
export function selectExtractionExperts(data) {
  return request({
    url: '/bidprocurement/bid-bidEvaluation/evaluation/selectExtractionExperts',
    method: 'post',
    data
  })
}
// 评标委员会-设置专家类别
export function settingEvalType(data) {
  return request({
    url: '/bidprocurement/bid-bidEvaluation/evaluation/settingEvalType',
    method: 'post',
    data
  })
}
/* ======================================评标部分================================================= */

// 业主代表添加(暂时作废,使用专家录入接口,传类型.)
export function addOwnerRepresent(data) {
  return request({
    url: '/bidprocurement/bid-bidEvaluation/evaluation/addOwnerRepresent',
    method: 'post',
    data
  })
}

// 步骤回退申请列表
export function applyStepBackList(data) {
  return request({
    url: '/bidprocurement/bid-bidEvaluation/evaluation/applyStepBackList',
    method: 'post',
    data
  })
}

// 专家选择标段页面
export function evalChooseTender() {
  return request({
    url: '/bidprocurement/bid-bidEvaluation/evaluation/evalChooseTender',
    method: 'get'
  })
}

// 项目经理评标步骤展示信息(暂时作废)
export function evalStepInfo(data) {
  return request({
    url: '/bidprocurement/bid-bidEvaluation/evaluation/evalStepInfo',
    method: 'post',
    data
  })
}

// 评标步骤设置移动
export function evalStepSettingMove(data) {
  return request({
    url: '/bidprocurement/bid-bidEvaluation/evaluation/evalStepSettingMove',
    method: 'post',
    data
  })
}

// 直接指定录入专家,专家信息与项目关联
export function expertAdd(data) {
  return request({
    url: '/bidprocurement/bid-bidEvaluation/evaluation/expertAdd',
    method: 'post',
    data
  })
}

// 专家申请步骤回退
export function expertApplyStepBack(data) {
  return request({
    url: '/bidprocurement/bid-bidEvaluation/evaluation/expertApplyStepBack',
    method: 'post',
    data
  })
}

// 评标步骤展示信息
export function expertEvalStepInfo(data) {
  return request({
    url: '/bidprocurement/bid-bidEvaluation/evaluation/expertEvalStepInfo',
    method: 'post',
    data
  })
}

// 录入专家生成账号
export function expertGenerateAccount(data) {
  return request({
    url: '/bidprocurement/bid-bidEvaluation/evaluation/expertGenerateAccount',
    method: 'post',
    data
  })
}

// 评审指标展示
export function expertInitialEval(data) {
  return request({
    url: '/bidprocurement/bid-bidEvaluation/evaluation/expertInitialEval',
    method: 'post',
    data
  })
}

// 录入专家列表展示
export function expertList(data) {
  return request({
    url: '/bidprocurement/bid-bidEvaluation/evaluation/expertList',
    method: 'post',
    data
  })
}
// 专家签到
export function expertSign(data) {
  return request({
    url: '/bidprocurement/bid-bidEvaluation/evaluation/expertSign',
    method: 'post',
    data
  })
}

// 专家签到-查看
export function expertSignCheck() {
  return request({
    url: '/bidprocurement/bid-bidEvaluation/evaluation/expertSignCheck',
    method: 'get'
  })
}

// 专家签到初始化页面
export function expertSignInit(data) {
  return request({
    url: '/bidprocurement/bid-bidEvaluation/evaluation/expertSignInit',
    method: 'post',
    data
  })
}

// 专家(组长任命)
export function expertUpdate(id) {
  return request({
    url: '/bidprocurement/bid-bidEvaluation/evaluation/expertUpdate?id=' + id,
    method: 'get'
  })
}

// 项目经理步骤回退审核
export function stepBackAudit(data) {
  return request({
    url: '/bidprocurement/bid-bidEvaluation/evaluation/stepBackAudit',
    method: 'post',
    data
  })
}

// 评标步骤专家分组
export function stepExpertGroup(data) {
  return request({
    url: '/bidprocurement/bid-bidEvaluation/evaluation/stepExpertGroup',
    method: 'post',
    data
  })
}

// 评标步骤初始化查询
export function stepNameQuery(data) {
  return request({
    url: '/bidprocurement/bid-bidEvaluation/evaluation/stepNameQuery',
    method: 'post',
    data
  })
}

// 评标步骤名称编辑
export function stepNameSettings(data) {
  return request({
    url: '/bidprocurement/bid-bidEvaluation/evaluation/stepNameSettings',
    method: 'post',
    data
  })
}

// 项目经理-一键全部重新评审(从专家签到开始)
export function reEvaluation(data) {
  return request({
    url: '/bidprocurement/bid-bidEvaluation/evalStep/reEvaluation',
    method: 'post',
    data
  })
}

// 评标步骤名称编辑
export function selectEvalCurrentStepExpert(data) {
  return request({
    url: '/bidprocurement/bid-bidEvaluation/evaluation/selectEvalCurrentStepExpert',
    method: 'post',
    data
  })
}

// 评审规则设置
export function evalRuleSetting(data) {
  return request({
    url: '/bidprocurement/bid-bidEvaluation/evalStep/evalRuleSetting',
    method: 'post',
    data
  })
}

// 评审步骤规则设置
export function evalStepRuleSetting(data) {
  return request({
    url: '/bidprocurement/bid-bidEvaluation/evalStep/evalStepRuleSetting',
    method: 'post',
    data
  })
}

// 直接指定专家-删除
export function expertDelete(data) {
  return request({
    url: '/bidprocurement/bid-bidEvaluation/evaluation/expertDelete',
    method: 'post',
    data
  })
}
